Bug 865470 - qpid-printevents stopped to work
qpid-printevents stopped to work
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-tools (Show other bugs)
2.3
All All
high Severity high
: 2.3
: ---
Assigned To: Ernie
Petr Matousek
: Regression
Depends On:
Blocks: 850517 872933
  Show dependency treegraph
 
Reported: 2012-10-11 10:14 EDT by Petr Matousek
Modified: 2013-03-19 12:38 EDT (History)
4 users (show)

See Also:
Fixed In Version: qpid-tools-0.18-4
Doc Type: Bug Fix
Doc Text:
Cause: Run the qpid-printevents command Consequence: The command hangs Fix: Changed bad argument passed to Connection.establish() Result: Qpidd events are printed out properly using qpid-printevents
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-19 12:38:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2012-10-11 10:14:53 EDT
Description of problem:

qpid-printevents do not work at all, it seems that the program hangs..

# qpid-printevents
// no_output
# netstat -anp | grep qpidd | grep ESTAB
// no_output

This is a regression, qpid-printevents worked well in MRG/M 2.2 (qpid-tools-0.14-6 ,python-qpid-0.14-11)

backtrace:
(gdb) info thread
  2 Thread 0x40eb1940 (LWP 13048)  0x00000030560ccdb2 in select () from /lib64/libc.so.6
* 1 Thread 0x2ba189cd9170 (LWP 13047)  0x00000030560ccdb2 in select () from /lib64/libc.so.6
(gdb) thread apply all bt

Thread 2 (Thread 0x40eb1940 (LWP 13048)):
#0  0x00000030560ccdb2 in select () from /lib64/libc.so.6
#1  0x00002ba18d9f74cf in ?? () from /usr/lib64/python2.4/lib-dynload/timemodule.so
#2  0x0000003057496bda in PyEval_EvalFrame () from /usr/lib64/libpython2.4.so.1.0
#3  0x0000003057495fbb in PyEval_EvalFrame () from /usr/lib64/libpython2.4.so.1.0
#4  0x00000030574975d5 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.4.so.1.0
#5  0x000000305744c997 in ?? () from /usr/lib64/libpython2.4.so.1.0
#6  0x00000030574366c0 in PyObject_Call () from /usr/lib64/libpython2.4.so.1.0
#7  0x000000305743c7ef in ?? () from /usr/lib64/libpython2.4.so.1.0
#8  0x00000030574366c0 in PyObject_Call () from /usr/lib64/libpython2.4.so.1.0
#9  0x000000305749122d in PyEval_CallObjectWithKeywords () from /usr/lib64/libpython2.4.so.1.0
#10 0x00000030574bd62d in ?? () from /usr/lib64/libpython2.4.so.1.0
#11 0x000000305680677d in start_thread () from /lib64/libpthread.so.0
#12 0x00000030560d3c1d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x2ba189cd9170 (LWP 13047)):
#0  0x00000030560ccdb2 in select () from /lib64/libc.so.6
#1  0x00002ba18d9f74cf in ?? () from /usr/lib64/python2.4/lib-dynload/timemodule.so
#2  0x0000003057496bda in PyEval_EvalFrame () from /usr/lib64/libpython2.4.so.1.0
#3  0x00000030574975d5 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.4.so.1.0
#4  0x0000003057495e08 in PyEval_EvalFrame () from /usr/lib64/libpython2.4.so.1.0
#5  0x00000030574975d5 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.4.so.1.0
#6  0x0000003057497622 in PyEval_EvalCode () from /usr/lib64/libpython2.4.so.1.0
#7  0x00000030574b3d19 in ?? () from /usr/lib64/libpython2.4.so.1.0
#8  0x00000030574b51c8 in PyRun_SimpleFileExFlags () from /usr/lib64/libpython2.4.so.1.0
#9  0x00000030574bba89 in Py_Main () from /usr/lib64/libpython2.4.so.1.0
#10 0x000000305601d994 in __libc_start_main () from /lib64/libc.so.6
#11 0x0000000000400629 in _start ()

Version-Release number of selected component (if applicable):
qpid-tools-0.18-1
python-qpid-0.18-1

How reproducible:
100%

Steps to Reproduce:
1. run qpid-printevents
  
Actual results:
No output, it seems that the tool hangs.

Expected results:
Qpidd events are printed out properly using qpid-printevents.

Additional info:
Comment 2 Ernie 2012-10-18 16:12:02 EDT
This appears to have been fixed on 9/1712 by kgiusti in qpid-printevents revision 1382075. Is it possible that fix did not get into the tested rpm?

The check-in comment was: NO-JIRA: fix bad argument passing in qpid-printevents tool.

I installed the package qpid-tools-0.18-2.el6_3.noarch.rpm and saw that the fix was not included in the installed qpid-printevents program. The installed program from that rpm indeed exhibits the bug described. Manually applying the fix and re-running the program shows events as expected.
Comment 4 Petr Matousek 2012-11-04 07:11:22 EST
This issue has been fixed.

Verified on rhel5.8 and rhel6.3 (x86_64, i386)

packages used for testing:
python-qpid-0.18-4
qpid-tools-0.18-4

MODIFIED -> ON_QA -> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.